Skip to main content

Clock Out

Close an open time entry. If a break is in progress it is ended automatically and its minutes are added to the entry's break total.

Endpoint​

POST /v1/staff/time-entries/{id}/clock-out

Authentication​

Requires an API key with the staff:write scope.

Response​

Success (200 OK)​

{
"data": {
"id": 13,
"staff_id": 5,
"clock_in_at": "2026-06-13T08:58:00+00:00",
"clock_out_at": "2026-06-13T17:04:00+00:00",
"is_on_break": false,
"break_minutes": 30,
"worked_minutes": 456,
"source": "app"
},
"meta": { "request_id": "req_abc123", "timestamp": "2026-06-13T17:04:00+00:00" }
}

Errors​

StatusCodeDescription
404not_foundTime entry not found
403forbiddenEntry belongs to another supplier
422clock_out_failedEntry is already clocked out

Example Request​

curl -X POST "https://app.equipdash.com/api/v1/staff/time-entries/13/clock-out" \
-H "Authorization: Bearer YOUR_API_KEY"